View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000635aMuleServerspublic2005-10-31 21:372005-12-09 02:51
Reporterconde_lnx 
Assigned ToXaignar 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product VersionSVN 
Target VersionFixed in VersionSVN 
Summary0000635: amuled crash after some minutes
Descriptionamule@AP:~$ gdb amuled
GNU gdb 6.3-debian
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB. Type "show warranty" for details.
This GDB was configured as "i386-linux"...(no debugging symbols found)
Using host libthread_db library "/lib/libthread_db.so.1".

(gdb) run
Starting program: /usr/bin/amuled
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread 16384 (LWP 16914)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
amuled: OnInit - starting timer
(no debugging symbols found)
Initialising aMule
Checking if there is an instance already running...
[New Thread 32769 (LWP 16923)]
[New Thread 16386 (LWP 16924)]
Loading temp files from /mnt/datos/amule/Temp.
Loading PartFile 23 of 23
All PartFiles Loaded.
(no debugging symbols found)
ListenSocket: Ok.

*** TCP socket (ECServer) listening on 0.0.0.0:4712
*** Server UDP socket (TCP+3) at 0.0.0.0:4665
*** TCP socket (TCP) listening on 0.0.0.0:4662
*** Client UDP socket (extended eMule) at 0.0.0.0:4672
Adding file /mnt/datos/amule/Temp/032.part.met to shares
Adding file /mnt/datos/amule/Temp/028.part.met to shares
Adding file /mnt/datos/amule/Temp/025.part.met to shares
Adding file /mnt/datos/amule/Temp/024.part.met to shares
Adding file /mnt/datos/amule/Temp/021.part.met to shares
Adding file /mnt/datos/amule/Temp/020.part.met to shares
Adding file /mnt/datos/amule/Temp/019.part.met to shares
Adding file /mnt/datos/amule/Temp/018.part.met to shares
Adding file /mnt/datos/amule/Temp/017.part.met to shares
Adding file /mnt/datos/amule/Temp/016.part.met to shares
Adding file /mnt/datos/amule/Temp/014.part.met to shares
Adding file /mnt/datos/amule/Temp/012.part.met to shares
Adding file /mnt/datos/amule/Temp/010.part.met to shares
Adding file /mnt/datos/amule/Temp/007.part.met to shares
Adding file /mnt/datos/amule/Temp/006.part.met to shares
Adding file /mnt/datos/amule/Temp/005.part.met to shares
Adding file /mnt/datos/amule/Temp/004.part.met to shares
Adding file /mnt/datos/amule/Temp/002.part.met to shares
Adding file /mnt/datos/amule/Temp/001.part.met to shares
[New Thread 32771 (LWP 16933)]
Invalid Kad tag; type=0x11 name=0x00
[New Thread 49156 (LWP 16941)]
[Thread 32771 (LWP 16933) exited]
[Thread 16386 (LWP 16924) exited]
[Thread 49156 (LWP 16941) exited]
Now, exiting main app...
Killing amuleweb instance...
Killed!
aMule OnExit: Terminating core.
Saving PartFile 13 of 23
aMule terminated after throwing an instance of 'CInvalidStateEx'
        Version: aMuled CVS using wxGTK2 v2.6.1 (Unicoded) (Snapshot: Mon Oct 31 07:02:01 CET 2005)
        what(): CRunTimeException::CInvalidStateException: Seeking resulted in invalid offset.
        backtrace:
[2] ?? in /usr/lib/libstdc++.so.6 [0x40288774]
[3] __gxx_personality_v0 in /usr/lib/libstdc++.so.6[0x4028873a]
[4] ?? in /lib/libgcc_s.so.1 [0x402e369f]
[5] _Unwind_Resume in /lib/libgcc_s.so.1[0x402e3762]
[6] ?? in /usr/bin/amuled [0x80a0112]
[7] ?? in /usr/bin/amuled [0x8068eeb]
[8] ?? in /usr/bin/amuled [0x8053e8a]
[9] wxEntry(int&, wchar_t**) in /usr/lib/libwx_baseu-2.6.so.0[0x400e2599]
[10] wxEntry(int&, char**) in /usr/lib/libwx_baseu-2.6.so.0[0x400e25ee]
[11] __gxx_personality_v0 in /usr/bin/amuled[0x8053285]
[12] __libc_start_main in /lib/libc.so.6[0x402fd413]
[13] wxAppConsole::Initialize(int&, wchar_t**) in /usr/bin/amuled[0x8053151]


Program received signal SIGABRT, Aborted.
[Switching to Thread 16384 (LWP 16914)]
0x40310861 in kill () from /lib/libc.so.6
TagsNo tags attached.
Fixed in Revision
Operating System
Attached Files? file icon 001.part.met [^] (6,616 bytes) 2005-11-04 14:49

- Relationships

-  Notes
(0001390)
conde_lnx (reporter)
2005-11-01 19:53

After remove some temp files, the daemon don't crash.
(0001392)
Xaignar (manager)
2005-11-01 20:18

Did you save those temp files? And if possible, could you identify the set of files which caused the crash? If you do that, it would be great if you could upload them (minus the actual *.part files).

Cheers,
 Xaignar
(0001409)
conde_lnx (reporter)
2005-11-04 14:49

After some tests, I could determine the file that provoked the failure of the program.
(0001412)
Xaignar (manager)
2005-11-04 23:38

Thanks. Initially I am unable to spot anything, but I'll keep looking.
Another thing you could do to help, if you have the patience, would be to create a more complete backtrace. You can see how to do that here: http://www.amule.org/wiki/index.php/Backtraces [^]
(0001585)
Xaignar (manager)
2005-12-09 02:51

Seek errors are no longer a runtime exception, and logging has been improved to document the cause. If you see any log-entries from CFile cover seek-errors, please let us know.

- Issue History
Date Modified Username Field Change
2005-10-31 21:37 conde_lnx New Issue
2005-11-01 19:53 conde_lnx Note Added: 0001390
2005-11-01 20:18 Xaignar Note Added: 0001392
2005-11-04 14:49 conde_lnx Note Added: 0001409
2005-11-04 14:49 conde_lnx File Added: 001.part.met
2005-11-04 23:38 Xaignar Note Added: 0001412
2005-12-09 02:51 Xaignar Status new => resolved
2005-12-09 02:51 Xaignar Fixed in Version => CVS
2005-12-09 02:51 Xaignar Resolution open => fixed
2005-12-09 02:51 Xaignar Assigned To => Xaignar
2005-12-09 02:51 Xaignar Note Added: 0001585


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker